# FoundationClasses
TKernel
TColStd

# TColStd_SetOfTransient Class Reference

`#include <TColStd_SetOfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_SetOfTransient ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_EXPORT Standard_Boolean | Add (const Handle(Standard_Transient)&T)
Standard_EXPORT Standard_Boolean | Remove (const Handle(Standard_Transient)&T)
Standard_EXPORT void | Union (const TColStd_SetOfTransient &B)
Standard_EXPORT void | Intersection (const TColStd_SetOfTransient &B)
Standard_EXPORT void | Difference (const TColStd_SetOfTransient &B)
Standard_EXPORT Standard_Boolean | Contains (const Handle(Standard_Transient)&T) const
Standard_EXPORT Standard_Boolean | IsASubset (const TColStd_SetOfTransient &S) const
Standard_EXPORT Standard_Boolean | IsAProperSubset (const TColStd_SetOfTransient &S) const

## Private Member Functions

Standard_EXPORT | TColStd_SetOfTransient (const TColStd_SetOfTransient &Other)

## Private Attributes

TColStd_SetListOfSetOfTransient | myItems

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_SetOfTransient::TColStd_SetOfTransient | ( |  | ) |

Standard_EXPORT TColStd_SetOfTransient::TColStd_SetOfTransient | ( | const TColStd_SetOfTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TColStd_SetOfTransient::Add | ( | const Handle(Standard_Transient)& | T | ) |

void TColStd_SetOfTransient::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TColStd_SetOfTransient::Contains | ( | const Handle(Standard_Transient)& | T | ) | const

Standard_EXPORT void TColStd_SetOfTransient::Difference | ( | const TColStd_SetOfTransient & | B | ) |

Standard_Integer TColStd_SetOfTransient::Extent | ( |  | ) | const

Standard_EXPORT void TColStd_SetOfTransient::Intersection | ( | const TColStd_SetOfTransient & | B | ) |

Standard_EXPORT Standard_Boolean TColStd_SetOfTransient::IsAProperSubset | ( | const TColStd_SetOfTransient & | S | ) | const

Standard_EXPORT Standard_Boolean TColStd_SetOfTransient::IsASubset | ( | const TColStd_SetOfTransient & | S | ) | const

Standard_Boolean TColStd_SetOfTransient::IsEmpty | ( |  | ) | const

void TColStd_SetOfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_SetOfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_SetOfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Boolean TColStd_SetOfTransient::Remove | ( | const Handle(Standard_Transient)& | T | ) |

Standard_EXPORT void TColStd_SetOfTransient::Union | ( | const TColStd_SetOfTransient & | B | ) |

## Field Documentation

TColStd_SetListOfSetOfTransient TColStd_SetOfTransient::myItems `[private]`

The documentation for this class was generated from the following file:

- TColStd_SetOfTransient.hxx